Commit f94a1a62 authored by Erick Hitter's avatar Erick Hitter

Stretch changed MySQL naming

parent 17f0eb44
Pipeline #99 failed with stage
in 2 minutes and 33 seconds
...@@ -10,21 +10,23 @@ before_script: ...@@ -10,21 +10,23 @@ before_script:
- apt-get clean - apt-get clean
- apt-get -yqq update - apt-get -yqq update
# instll the required packages for the running CI tests # install the required packages for the running CI tests
- apt-get -yqqf install zip unzip subversion mysql-client libmysqlclient-dev --fix-missing - apt-get -yqqf install zip unzip subversion mysql-client default-libmysqlclient-dev --fix-missing
# PHP extensions # PHP extensions
- docker-php-ext-enable mbstring mcrypt mysqli pdo_mysql intl gd zip bz2 - docker-php-ext-enable mbstring mcrypt mysqli pdo_mysql intl gd zip bz2
# Install Composer # Install Composer
- curl -sS https://getcomposer.org/installer | php - curl -sS https://getcomposer.org/installer | php
- php composer.phar install
# Set up WordPress tests # Set up WordPress tests
- bash bin/install-wp-tests.sh wordpress_tests root mysql mysql latest true - bash bin/install-wp-tests.sh wordpress_tests root mysql mysql latest true
# PHPUnit for most builds
- php composer.phar global require "phpunit/phpunit=6.1.*"
# Install PHPCS and WPCS # Install PHPCS and WPCS
- composer global require automattic/vipwpcs - php composer.phar global require automattic/vipwpcs
- phpcs --config-set installed_paths $HOME/.composer/vendor/wp-coding-standards/wpcs,$HOME/.composer/vendor/automattic/vipwpcs - phpcs --config-set installed_paths $HOME/.composer/vendor/wp-coding-standards/wpcs,$HOME/.composer/vendor/automattic/vipwpcs
PHPunit:PHP5.3:MySQL: PHPunit:PHP5.3:MySQL:
...@@ -32,7 +34,7 @@ PHPunit:PHP5.3:MySQL: ...@@ -32,7 +34,7 @@ PHPunit:PHP5.3:MySQL:
services: services:
- mysql:5.6 - mysql:5.6
script: script:
- composer global require "phpunit/phpunit=4.8.*" - php composer.phar global require "phpunit/phpunit=4.8.*"
- phpcs - phpcs
- phpunit - phpunit
...@@ -41,7 +43,7 @@ PHPunit:PHP5.6:MySQL: ...@@ -41,7 +43,7 @@ PHPunit:PHP5.6:MySQL:
services: services:
- mysql:5.6 - mysql:5.6
script: script:
- composer global require "phpunit/phpunit=4.8.*" - php composer.phar global require "phpunit/phpunit=4.8.*"
- phpcs - phpcs
- phpunit - phpunit
...@@ -50,7 +52,6 @@ PHPunit:PHP7.0:MySQL: ...@@ -50,7 +52,6 @@ PHPunit:PHP7.0:MySQL:
services: services:
- mysql:5.6 - mysql:5.6
script: script:
- composer global require "phpunit/phpunit=6.1.*"
- phpcs - phpcs
- phpunit - phpunit
...@@ -59,7 +60,6 @@ PHPunit:PHP7.1:MySQL: ...@@ -59,7 +60,6 @@ PHPunit:PHP7.1:MySQL:
services: services:
- mysql:5.6 - mysql:5.6
script: script:
- composer global require "phpunit/phpunit=6.1.*"
- phpcs - phpcs
- phpunit - phpunit
...@@ -68,6 +68,5 @@ PHPunit:PHP7.2:MySQL: ...@@ -68,6 +68,5 @@ PHPunit:PHP7.2:MySQL:
services: services:
- mysql:5.6 - mysql:5.6
script: script:
- composer global require "phpunit/phpunit=6.1.*"
- phpcs - phpcs
- phpunit - phpunit
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment